# CameraImage Converter

A Flutter plugin used to convert the CameraImage object returned by the imageStream in [flutter'\s official camera plugin](https://pub.dev/packages/camera) into JPEG format Efficiently
--> Converts YUV420_888 to JPEG

- Attention: This plugin currently only supports Android

## Usage

To use this plugin, add `camera_image_converter` as a [dependency in your pubspec.yaml file](https://flutter.io/platform-plugins/).

### Example

```dart
...
await controller.startImageStream((CameraImage image, quality: 70) async {
      var jpeg = await CameraImageConverter.convertCameraImageTo(image);
    });
...
```

Please see the example app of this plugin for a full example.

Contributions and Acknowledgements

- A big thanks to [tomerblecher](https://github.com/tomerblecher/YUV_2_RGB) for inspiring this plugin
